import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * BadBody is a hard to control dog, you must experiment with the controls in 
 * order to control him properly.
 * HINT:Centrifugal Force is key!
 * 
 * @author Adam Amaral
 * @version 10/10/18
 */
public class BadBoy extends Actor
{
    private int BreadsEaten;
    private int getImage;
    private GreenfootImage image1;
    private GreenfootImage image2;
    private GreenfootImage image3;
    
    public BadBoy()
    {
        image1 = new GreenfootImage("BadBoy.png");
        image2 = new GreenfootImage("BadBoy-b.png");
        image3 = new GreenfootImage("BadBoy-c.png");
    }
    /**
     * Act - do whatever the BadBody wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move(1);
        boolean isAlive;
        int n;
        checkKeypress();
        lookForBread();
        turnAtEdge();
        getImage().mirrorHorizontally();
        updateImage();
    }

    public void lookForBread()
    {   
        if (isTouching(Bread.class) )
        {  
            int speed=1;
            move(speed);
            removeTouching(Bread.class);
            Greenfoot.playSound("slurp.wav");
            BackYard backyard = (BackYard)getWorld();
            backyard.addScore(10);
        }
    }

    public void checkKeypress()
    {
        if(Greenfoot.isKeyDown("left"))
        {
            setLocation(getX()-1, getY());
            move(4);

        }
        if(Greenfoot.isKeyDown("right"))
        {
            setLocation(getX()+1, getY());
            move(-4);
        }  
        if(Greenfoot.isKeyDown("up"))
        {   setLocation(getX(), getY()-1);
            move(-4);
        }
        if(Greenfoot.isKeyDown("down"))
        {   
            setLocation(getX(), getY()+1);
            move(4);

        }
    }

    public void turnAtEdge()
    {
        if ( isAtEdge() )
        { 
            turn(17);
        }
        if ( Greenfoot.getRandomNumber(100) < 10)
        { 
            turn(Greenfoot.getRandomNumber(90)-45);
        }

    }
    public int getBreadsEaten()
    {
        return BreadsEaten;
    }
    public void updateImage()
    {  
        if (getImage() == image1)
        {
            setImage(image2);
        }       
        else if (getImage() == image2)
        {
            setImage(image1);
        }
        else
        {
            setImage(image1);
        }
    }
}


   