import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Cat runs around and tries to eat mouse -- scoring you points.
 * 
 * @Jeanne Boudreau 
 * @2.0
 */
public class Cat extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    /**
     * Act - do whatever the Cat wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     * move and turn at edge
     */
    public Cat()
    {
        image1 = new GreenfootImage("cat.png");
        image2 = new GreenfootImage("cat2.png");
    }
    public void act() 
    {
        // Add your action code here.
        move(Greenfoot.getRandomNumber(4)+1);
        lookForMouse();
        randomTurn();
        updateImage();
    }

    public void randomTurn()
    {
        int randNum = Greenfoot.getRandomNumber(100);
        if (Greenfoot.getRandomNumber(100) < 10) 
        {
            turn(Greenfoot.getRandomNumber(90) - 45);
        }
    }
    public void lookForMouse()
    {     
        if (isTouching(Mouse.class)) {
            removeTouching(Mouse.class);
            Greenfoot.playSound("slurp.wav");
            BackYard backyard = (BackYard)getWorld();
            backyard.addScore(5);
        }
    }
    public void updateImage()
    {
        if (getImage() == image1)
        {
            setImage(image2);
        }       
        else
        {
            setImage(image1);
        }
    }
}