import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Mouse here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Mouse extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    /**
     * Act - do whatever the Mouse wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public Mouse()
    {
        image1 = new GreenfootImage("mouse.png");
        image2 = new GreenfootImage("mouse2.png");
    }

    public void act() 
    {
        // Mouse moves and turns
        {
            updateImage();
            turnAtEdge();
            moveAround();
            spitUpBug();
        } 

        /**
         * Turns at the edge of the world.
         */

    }

    public void updateImage()
    {
        if (getImage() == image1)
        {
            setImage(image2);
        }    
        else
        {
            setImage(image1);
        }
    }

    public void turnAtEdge()
    {
        if (isAtEdge())
        {
            turn(17);
        }
    }    
    public void moveAround()
    {
        move(Greenfoot.getRandomNumber(2)+3);
    }
    public void spitUpBug()
    {
        if (Greenfoot.getRandomNumber(300) == 5)
        {
            updateImage();
            getWorld().addObject(new Bug(), getX(), getY());
            Greenfoot.playSound("Teleport.wav");
            for (int i = 0; i < 2; i++)
            {
                if (i == 2) 
                {
                    break;
                }
                Greenfoot.delay(2);
                updateImage();
            }
        }
    }
}

