import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is a rust. It does what a rust would do--which is making you lose points.
 * 
 * @Fernando Duarte 
 * @2.0
 */
public class Rust extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    /**
     * Act - do whatever. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public Rust()
    {
        image1 = new GreenfootImage("rust.png");
        image2 = new GreenfootImage("rust2.png");
    }
    public void act() 
    {
        // Add your action code here.
        move (Greenfoot.getRandomNumber(5)+1);
        updateImage();
        if (Greenfoot.getRandomNumber (100) > 10)
        {
            turn (Greenfoot.getRandomNumber(30)-15);
        }
        if (isAtEdge())
        {
            turn (90);
        }
        if (isTouching(BadBoy.class))
        {
            BackYard backyard = (BackYard)getWorld();
            backyard.removeObject(this);
            backyard.addScore(-3);
        }
    }
    public void updateImage()
    {  
        if (getImage() == image1)
        {
            setImage(image2);
        }       
        else
        {
            setImage(image1);
        }
    }
}
